function imf = xfilter(im, f);
% XFILTER low pass filter im with cutoff frequency f (between 0 and
% 1). 

[f1,f2] = freqspace(21,'meshgrid');
Hd = ones(21); 
r = sqrt(f1.^2 + f2.^2);
Hd(r>f) = 0;
%colormap(jet(64))
%mesh(f1,f2,Hd)

h = fwind1(Hd,hamming(21));
%freqz2(h)

imf = filter2(h,im);

